From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/hunspell/
Date: Tue, 23 Aug 2022 04:29:56 +0000 (UTC) [thread overview]
Message-ID: <1661228984.be7e4b576d80f9c5c0b9d85567d5866b21cd98d0.sam@gentoo> (raw)
commit: be7e4b576d80f9c5c0b9d85567d5866b21cd98d0
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 23 04:29:44 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 23 04:29:44 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be7e4b57
app-text/hunspell: add 1.7.1
Bug: https://bugs.gentoo.org/866093
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/hunspell/Manifest | 1 +
app-text/hunspell/hunspell-1.7.1.ebuild | 82 +++++++++++++++++++++++++++++++++
2 files changed, 83 insertions(+)
diff --git a/app-text/hunspell/Manifest b/app-text/hunspell/Manifest
index eeaae2baf2d3..e31cb9258318 100644
--- a/app-text/hunspell/Manifest
+++ b/app-text/hunspell/Manifest
@@ -1 +1,2 @@
DIST hunspell-1.7.0.tar.gz 482156 BLAKE2B daf689ab44872c78d27bd035d996c61da9b01b7bbe5ced120034b2d64bbead573ad3807dfe5a06ecdbd96c610f42e4ea015be4b2046ebafad13347c08e60913a SHA512 8149b2e8b703a0610c9ca5160c2dfad3cf3b85b16b3f0f5cfcb7ebb802473b2d499e8e2d0a637a97a37a24d62424e82d3880809210d3f043fa17a4970d47c903
+DIST hunspell-1.7.1.tar.gz 526464 BLAKE2B fc657f2db789aba3a3888f95b28b03eecc1da85356717b527b53936cc167ccca86111f3ce24c23319f4d741f2d5a53eb492570a406279a08b947ddbd2c131be8 SHA512 472249309aecbbc58a025445781268867173e0651a6147f29644975ad65af043a1e2fbe91f2094934526889c7f9944739dc0a5f0d25328a77d22db1fd8f055ec
diff --git a/app-text/hunspell/hunspell-1.7.1.ebuild b/app-text/hunspell/hunspell-1.7.1.ebuild
new file mode 100644
index 000000000000..6da0faf2695e
--- /dev/null
+++ b/app-text/hunspell/hunspell-1.7.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LANGS="af bg ca cs cy da de de-1901 el en eo es et fo fr ga gl he hr hu ia id is
+it kk km ku lt lv mi mk ms nb nl nn pl pt pt-BR ro ru sk sl sq sv sw tn uk zu"
+inherit autotools flag-o-matic
+
+DESCRIPTION="Spell checker, morphological analyzer library and command-line tool"
+HOMEPAGE="https://hunspell.github.io/"
+SRC_URI="https://github.com/hunspell/hunspell/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="MPL-1.1 GPL-2 LGPL-2.1"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="ncurses nls readline static-libs"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ ncurses? ( sys-libs/ncurses:= )
+ readline? ( sys-libs/readline:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/gettext"
+
+PDEPEND=""
+for lang in ${LANGS}; do
+ IUSE+=" l10n_${lang}"
+ case ${lang} in
+ de-1901) dict="de_1901" ;;
+ pt-BR) dict="pt-br" ;;
+ *) dict="${lang}" ;;
+ esac
+ PDEPEND+=" l10n_${lang}? ( app-dicts/myspell-${dict} )"
+done
+unset dict lang LANGS
+
+DOCS=( AUTHORS ChangeLog NEWS THANKS license.{hunspell,myspell} README.md )
+
+PATCHES=(
+ # Upstream package creates some executables which names are too generic
+ # to be placed in /usr/bin - this patch prefixes them with 'hunspell-'.
+ # It modifies a Makefile.am file, hence eautoreconf.
+ "${FILESDIR}/${PN}-1.7.0-renameexes.patch"
+
+ "${FILESDIR}/${PN}-1.7.0-tinfo.patch" # bug #692614
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ # Missing somehow...
+ [[ ${CHOST} == *-darwin* ]] && append-libs -liconv
+
+ # I wanted to put the include files in /usr/include/hunspell.
+ # You can do that, libreoffice can find them anywhere, just
+ # ping me when you do so ; -- scarabeus
+ local myeconfargs=(
+ $(use_enable nls)
+ $(use_with ncurses ui)
+ $(use_with readline readline)
+ $(use_enable static-libs static)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ einstalldocs
+
+ find "${ED}" -type f -name '*.la' -delete || die
+
+ # bug #342449
+ pushd "${ED}"/usr/$(get_libdir)/ >/dev/null || die
+ ln -s lib${PN}{-$(ver_cut 1).$(ver_cut 2).so.0.0.1,.so} || die
+ popd >/dev/null || die
+}
next reply other threads:[~2022-08-23 4:29 UTC|newest]
Thread overview: 78+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-23 4:29 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-12 12:27 [gentoo-commits] repo/gentoo:master commit in: app-text/hunspell/ Arthur Zamarin
2024-09-12 8:01 Arthur Zamarin
2024-09-05 0:06 Sam James
2024-09-04 1:57 Sam James
2024-09-04 1:57 Sam James
2024-09-04 1:01 Sam James
2024-09-04 1:01 Sam James
2023-07-16 17:59 Sam James
2023-07-16 17:59 Sam James
2023-02-26 19:41 Arthur Zamarin
2023-02-24 16:58 Arthur Zamarin
2023-02-24 16:56 Sam James
2023-02-24 16:56 Sam James
2023-02-24 16:26 Arthur Zamarin
2023-02-24 16:16 Arthur Zamarin
2023-02-24 16:10 Arthur Zamarin
2022-12-29 21:27 Sam James
2022-10-14 4:30 Arthur Zamarin
2022-10-14 4:14 Arthur Zamarin
2022-10-14 4:14 Arthur Zamarin
2022-10-13 23:04 Sam James
2022-10-13 23:01 Sam James
2022-10-13 22:37 Sam James
2022-10-13 22:37 Sam James
2022-08-23 4:48 Sam James
2022-05-19 5:08 WANG Xuerui
2020-09-17 20:15 Andreas Sturmlechner
2020-07-18 0:01 Sam James
2020-07-17 7:44 Agostino Sarubbo
2020-07-17 7:21 Agostino Sarubbo
2020-07-12 13:58 Sam James
2020-07-11 20:35 Sam James
2020-07-09 0:24 Sam James
2020-07-06 7:22 Sergei Trofimovich
2020-07-06 7:02 Sergei Trofimovich
2020-04-04 11:07 Sergei Trofimovich
2020-01-26 11:32 Sergei Trofimovich
2019-12-24 20:12 Mikle Kolyada
2019-11-13 11:28 Agostino Sarubbo
2019-11-12 16:02 Agostino Sarubbo
2019-11-12 10:38 Agostino Sarubbo
2019-11-12 10:13 Agostino Sarubbo
2019-11-08 20:34 Andreas Sturmlechner
2019-11-08 20:31 Aaron Bauman
2019-10-28 8:38 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2018-11-28 21:22 Tobias Klausmann
2018-11-26 18:55 Mikle Kolyada
2018-11-18 16:01 Sergei Trofimovich
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:41 Sergei Trofimovich
2018-11-18 10:38 Sergei Trofimovich
2018-11-16 19:08 Sergei Trofimovich
2018-11-15 15:48 Thomas Deutschmann
2018-11-15 13:20 Mikle Kolyada
2018-05-27 18:02 Pacho Ramos
2018-05-27 18:02 Pacho Ramos
2017-11-23 14:01 Jonas Stein
2017-08-01 8:06 Ulrich Müller
2017-05-05 19:11 Markus Meier
2017-04-30 9:37 Agostino Sarubbo
2017-04-23 12:40 Agostino Sarubbo
2017-04-22 7:33 Tobias Klausmann
2017-04-19 6:52 Jeroen Roovers
2017-03-28 9:47 Lars Wendler
2017-03-27 7:39 Lars Wendler
2017-03-27 7:39 Lars Wendler
2016-11-28 11:53 Lars Wendler
2016-11-27 22:18 Lars Wendler
2016-11-26 23:05 Lars Wendler
2016-11-11 9:24 Lars Wendler
2016-10-25 22:40 Kristian Fiskerstrand
2016-07-27 19:32 Johannes Huber
2016-06-24 21:21 Ulrich Müller
2016-05-06 1:25 Ulrich Müller
2015-12-25 16:57 Michael Palimaka
2015-12-19 19:00 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661228984.be7e4b576d80f9c5c0b9d85567d5866b21cd98d0.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox